/*
*/

#ifndef PHONON_GST_EFFECTINTERFACE_H
#define PHONON_GST_EFFECTINTERFACE_H

#include <QQueue>
#include <QVariant>

namespace Phonon
{
namespace Gst
{
	class EffectInterface
	{
		public:
			virtual ~EffectInterface() {}
			virtual QVariant value( int parameterId ) const = 0;
			virtual void setValue( int parameterId, QVariant newValue ) = 0;
			virtual void processBuffer( QVector<float>& buffer ) = 0;
	};
}} //namespace Phonon::Gst

// vim: sw=4 ts=4 tw=80
#endif // PHONON_GST_EFFECTINTERFACE_H
